Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
Class JettyRunWar

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.plugins.jetty.AbstractJettyRunTask
              org.gradle.api.plugins.jetty.AbstractJettyRunWarTask
                  org.gradle.api.plugins.jetty.JettyRunWar

    class JettyRunWar
    extends AbstractJettyRunWarTask

The `JettyRunWar` deploys a WAR to an embedded Jetty web container.

Once started, the web container can be configured to run continuously, scanning for changes to the war file and automatically performing a hot redeploy when necessary.

Field Summary

Fields inherited from class AbstractJettyRunTask
consoleScanner, reload, scannerListeners

Constructor Summary
`JettyRunWar()`

Method Summary
`void` | `configureScanner()`
`void` | `configureWebApplication()`
`void` | `finishConfigurationBeforeStart()`
`File` | `getWebApp()`
`void` | `restartWebApp(boolean reconfigureScanner)`
`void` | `setWebApp(File webApp)`
`void` | `validateConfiguration()`

Methods inherited from class AbstractJettyRunWarTask
applyJettyXml, createServer

Methods inherited from class AbstractJettyRunTask
applyJettyXml, configureScanner, configureWebApplication, createServer, findJettyWebXmlFile, finishConfigurationBeforeStart, getAdditionalRuntimeJars, getConnectors, getContextPath, getHttpPort, getJettyConfig, getOverrideWebXml, getReload, getRequestLog, getScanIntervalSeconds, getScanner, getScannerListeners, getServer, getStopKey, getStopPort, getTmpDirectory, getUserRealms, getWebAppConfig, getWebDefaultXml, isDaemon, restartWebApp, setAdditionalRuntimeJars, setConnectors, setContextPath, setDaemon, setHttpPort, setJettyConfig, setOverrideWebXml, setReload, setRequestLog, setScanIntervalSeconds, setScannerListeners, setServer, setStopKey, setStopPort, setTmpDirectory, setUserRealms, setWebAppConfig, setWebDefaultXml, start, startConsoleScanner, startJetty, startJettyInternal, validateConfiguration

Constructor Detail

### JettyRunWar

    JettyRunWar()

Method Detail

### configureScanner

    public void configureScanner()

### configureWebApplication

    public void configureWebApplication()

### finishConfigurationBeforeStart

    public void finishConfigurationBeforeStart()

  see:
    AbstractJettyRunTask#finishConfigurationBeforeStart()

### getWebApp

    @InputFile
    public File getWebApp()

### restartWebApp

    public void restartWebApp(boolean reconfigureScanner)

### setWebApp

    public void setWebApp(File webApp)

### validateConfiguration

    public void validateConfiguration()

  see:
    AbstractJettyRunTask#validateConfiguration()

Groovy Documentation